Jupiter - Zadanie #1747
Podglad dokumentéw w infonie
2017-07-04 13:25 - Michat Komar

Status: Rozwigzany Start date: 2017-07-04
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: integracja Estimated time: 0.00 hour
Target version: 0.3

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

Po wyedytowaniu dokumentu z jupiterze, powinna istnie¢ mozliwos$¢ klikniecia przycisku podglad. Przycisk powinien otworzy¢ nowg
karte w przegladarce z podtgczong do jupitera infong. Infona powinna w requescie otrzymac token, na podstawie ktérego bytaby w
stanie pobraé¢ dokument z jupitera i go wyswietli¢.

Token powinien sig sktada¢ z UUID , czasu wazno$ci oraz id dokumentu.

Associated revisions

Revision e7¢35346 - 2017-07-12 11:00 - Lukasz Waskiewicz

refs #1747 mixin, controller, thumbnail

Revision 3a3bdb36 - 2017-07-12 12:30 - Lukasz Waskiewicz

refs #1747 uzycie mixinow YModelu z synatu

Revision 8bfd14a7 - 2017-07-12 15:17 - Lukasz Waskiewicz

refs #1747 poprawa budowania, przeniesienie authentificated do api

Revision 86e04177 - 2017-07-13 09:24 - Lukasz Waskiewicz

refs #1747 poprawa wyciggania okladek

Revision ded7c5de - 2017-07-14 12:13 - Lukasz Waskiewicz

refs #1747 wycigganie oktadek z rodzicéw, abudowanie petnej struktury

Revision bd77be37 - 2017-07-20 13:19 - Lukasz Waskiewicz

refs #1747 przeniesienie MixIn do jupiter-rest-client

Revision 9d9cfb28 - 2017-07-24 12:59 - Lukasz Waskiewicz

refs #1747 zmiana koncepcji podgladu
Revision b932d7ea - 2017-07-24 12:59 - Lukasz Waskiewicz

refs #1747 budowanie YAncestoréw z uzyciem kodu z infony

Revision 66b0edcc - 2017-07-25 12:25 - Lukasz Waskiewicz

refs #1747 przejscie do pogladu

Revision c8b234dc - 2017-07-25 13:26 - Lukasz Waskiewicz

refs #1747 przesunigcie configuracji restTemplate z synatu

Revision 8274f733 - 2017-07-26 14:37 - Michat Komar

refs #1747: Przywrocenie mixina

Revision 49eb84b7 - 2017-08-08 08:49 - Lukasz Waskiewicz

refs #1747 poprawa podgladu

Revision 9f53c7b4 - 2017-08-11 06:46 - Lukasz Waskiewicz

refs #1747 poprawa podgladu nowych dokumentéw

Revision 87615415 - 2017-08-11 12:52 - Lukasz Waskiewicz

refs #1747 poprawa podgladu czasopism

Revision aba0348d - 2017-08-21 13:38 - Michat Komar

refs #1747: Obstuga typéw z poza hierarchii (publisher, series)

Revision 72e5f417 - 2017-08-21 14:53 - Michat Komar

refs #1747: Poprawienie wydajnos$ci autosize (zmiana implemnetaciji)

Revision a55c0486 - 2017-08-21 15:13 - Michat Komar

refs #1747: Poprawienie wydajno$ci wyszukiwania jezykéw

Revision 4422cd8b - 2017-08-23 06:23 - Lukasz Waskiewicz

refs #1747 zmiana generowania tokenéw
Revision 2ff5aae0 - 2017-08-30 12:41 - Michat Komar

refs #1747: Ponowne otwieranie w tym samym tabie

Revision 8b34d1ae - 2017-10-04 16:20 - Lukasz Waskiewicz

refs #1747 zmiana nazwy klasy

History

#1 - 2017-07-25 13:39 - Lukasz Waskiewicz

- Status changed from Nowy to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
- % Done changed from 0 to 100

Jupiter: mixIn i konfiguracja restTemplete w jupiter,

budowa YElement -> YAncestor , utilem z infony

Infona (trunk) :

poprawitem obstuge oktadek , uzycie restTemplate z jupitera

#2 - 2017-07-28 09:35 - Michat Komar
- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

Dokumenty bez modyfikacji dziatajg dobrze.
W przypadku niezapisanych zmian jest gorzej -> wy$wietla sig¢ dokument bez tych zmian.
Kroki do powtdrzenia

1. Wejdz do artykutu, ktéry nie byt w ogéle zmieniany w jupiterze

2. Usun jeden wyraz z tytutu lub opisu

3. Kliknij preview

4. Rezultat - nie wida¢ zmian (dokument sie wyswietla w infonie)

#3 - 2017-07-28 09:45 - Michat Komar

Trzeba tez dodaé obstuge btedéw po stronie infony, zeby zamiast 500 leciato 404, gdy jest jakis btad.

#4 - 2017-08-11 13:21 - Lukasz Waskiewicz

- Status changed from OdpowiedZ to Testowanie
- Assignee changed from tukasz Waskiewicz to Michat Komar

+ wsparcie chodzenia po tabach (brak stronicowania w tabach, lub wejscia z sekcji)
poprawione w jupiterze podglad dokumentéw nie zapisanych w bazie

2024-05-19 3/4



#5 - 2017-08-21 14:07 - Michat Komar
- Status changed from Testowanie to Odpowiedz

- Assignee changed from Michat Komar to tukasz Waskiewicz

Nalezy ograniczy¢ czestotliwos¢ tworzenia nowych tokendéw. Przede wszystkim mozna ograniczy¢ tworzenie tokena w momencie, gdy nie byto zadnej
zmiany, a uzytkownik juz wczesniej kliknat podglad. Mozna przy kazdym preview weryfikowaé¢ hash yelementu z hashem dokumentu isnitjgcego w

cache. Jezeli sg takie same, nalezy zwrocié klucz istniejacego dokumentu. Operacje te nalezy wykonywac w kontekscie uzytkownika.

#6 - 2017-08-23 06:36 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Testowanie
- Assignee changed from tukasz Waskiewicz to Michat Komar

poprawione

#7 - 2017-08-24 11:20 - Michat Komar
- Status changed from Testowanie to Odpowiedz

- Assignee changed from Michat Komar to tukasz Waskiewicz
#8 - 2017-08-24 11:21 - Michat Komar

- Status changed from OdpowiedZ to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
#9 - 2017-08-25 13:15 - Michat Komar

- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

Poki co nie dziata.

#10 - 2017-08-25 13:58 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar

dziata, ale nie ma walidacji na jezyku i pozwala podejrze¢ dokument z niekompletnymi danymi

#11 - 2017-08-30 12:43 - Michat Komar

- Status changed from Testowanie to Rozwigzany

Wszystko w porzadku.

Dodatem jeszcze tylko ponowne otwieranie linkdw w tym samym tabie - Zzeby ilo§¢ tabéw nam nie puchta.
